import * as types from './types';

export const runAuth = (payload) => ({
  type: types.RUN_AUTH,
  payload
})

export const runAuthSubmit = (payload) => ({
  type: types.RUN_AUTH_SUCCESS,
  payload
})

export const runAuthFail = (payload) => ({
  type: types.RUN_AUTH_FAIL,
  payload
})

export const getMe = (payload) => ({
  type: types.GET_ME,
  payload
})

export const getMeSuccess = (payload) => ({
  type: types.GET_ME_SUCCESS,
  payload
})

export const getMeFail = (payload) => ({
  type: types.GET_ME_FAIL,
  payload
})