import * as types from './types';

const initialState = {
  users: [],
}

export const countReducer = (state = initialState, action) => {
  switch(action.type) {
    case types.GET_USERS_SUCCESS: {
      console.log('ss', action.payload);
      console.log('ww', Object.keys(action.payload));
      const users = Object.keys(action.payload).map(id => {
        const { uid, ...rest } = action.payload[id];
        return { ...rest, id }
      })

      return { ...state, users }
    }
    case types.GET_USERS_FAIL: {
      return { ...state }
    }

    default: {
      return state;
    }
  }
}