import { combineReducers } from 'redux';

import { fakeReducer } from './fake/reducer';
import { countReducer } from './counter/reducer';
import { authReducer } from './auth/reducer'; 

const reducers = combineReducers({
  fake: fakeReducer,
  counter: countReducer,
  auth: authReducer,
});

export const rootReducer = (state, action) => {
  return reducers(state, action)
}