import * as types from './types';

export const setData = (payload) => ({
  type: types.SET_DATA,
  payload
})

export const setDataSuccess = (payload) => ({
  type: types.SET_DATA_SUCCESS,
  payload
})

export const setDataFail = (payload) => ({
  type: types.SET_DATA_FAIL,
  payload
})

export const getUsers = (payload) => ({
  type: types.GET_USERS,
  payload
})

export const getUsersSuccess = (payload) => ({
  type: types.GET_USERS_SUCCESS,
  payload
})

export const getUsersFail = (payload) => ({
  type: types.GET_USERS_FAIL,
  payload
})
